LevelsTweakData.LevelType.PDTH = "pdth"
local pdth_init = LevelsTweakData.init

function LevelsTweakData:init(...)
	
		pdth_init(self, ...)
		
		local pdth = LevelsTweakData.LevelType.PDTH
		self.ai_groups.pdth = pdth

end

function LevelsTweakData:get_ai_group_type()
	
	if AIGroupSelector.Options:GetValue("ai_groups_option") == 1 then
		local level_data = Global.level_data and Global.level_data.level_id and self[Global.level_data.level_id]

		if level_data then
			local ai_group_type = level_data.ai_group_type

			if ai_group_type then
				return ai_group_type
			end
		end
		return self.ai_groups.default
	elseif AIGroupSelector.Options:GetValue("ai_groups_option") == 2 then
		return self.ai_groups.america
	elseif AIGroupSelector.Options:GetValue("ai_groups_option") == 3 then
		return self.ai_groups.pdth
	elseif AIGroupSelector.Options:GetValue("ai_groups_option") == 4 then
		if not PackageManager:loaded("packages/load_russia") then
			PackageManager:load("packages/load_russia")
		end
		if not PackageManager:loaded("levels/narratives/elephant/mad/world_sounds") then
			PackageManager:load("levels/narratives/elephant/mad/world_sounds")
		end
		return self.ai_groups.russia
	elseif AIGroupSelector.Options:GetValue("ai_groups_option") == 5 then
		if not PackageManager:loaded("packages/load_zombie") then
			PackageManager:load("packages/load_zombie")
		end
		if not PackageManager:loaded("levels/narratives/bain/hvh/world_sounds") then
			PackageManager:load("levels/narratives/bain/hvh/world_sounds")
		end
		return self.ai_groups.zombie
	elseif AIGroupSelector.Options:GetValue("ai_groups_option") == 6 then
		if not PackageManager:loaded("packages/load_murkywater") then
			PackageManager:load("packages/load_murkywater")
		end
		if not PackageManager:loaded("levels/narratives/locke/bph/world_sounds") then
			PackageManager:load("levels/narratives/locke/bph/world_sounds")
		end
		return self.ai_groups.murkywater
	elseif AIGroupSelector.Options:GetValue("ai_groups_option") == 7 then
		if not PackageManager:loaded("packages/load_mexico") then
			PackageManager:load("packages/load_mexico")
		end
		if not PackageManager:loaded("levels/narratives/vlad/bex/world_sounds") then
			PackageManager:load("levels/narratives/vlad/bex/world_sounds")
		end
		return self.ai_groups.federales
	end
end